
 /* ModeReqMode V38.1 					       */
 /* FREEWARE.						       */
 /* (c) 1993 by Andreas R. Kleinert.                           */
 /* Demonstrates how to switch the Library between :	       */
 /*  - "reset mode"       (default settings, usual overscan).  */
 /*  - "bigoverscan mode" (special settings, big overscan).    */
 /* Written in SAS/C V6.00 for OS V2.04 (V37) Includes.        */


#include <ak_gen0/ak_gen0_base.h>
#include <ak_gen0/ak_gen0_pragma.h>

#include <stdlib.h>
#include <string.h>

#include <proto/exec.h>
#include <proto/intuition.h>

void main(long argc, char **argv) /* MAIN */
{
 IntuitionBase = (struct IntuitionBase *) OpenLibrary("intuition.library", 0);

  /* will always be open because of version==0 */

 printf("\nModeReqMode V38.1, FREEWARE, (c) 1993 by Andreas R. Kleinert.\n");

 AKBase = (struct AKBase *) OpenLibrary("ak_gen0.library", 37);
 if(AKBase)
  {
   if(!stricmp(argv[1], "RESET"))       AKBase->ak_ModeReqFlags ^= AKBM_BIGOVERSCAN;
   if(!stricmp(argv[1], "BIGOVERSCAN")) AKBase->ak_ModeReqFlags |= AKBM_BIGOVERSCAN;

   CloseLibrary((APTR) AKBase);
  }else
  {
   printf("\n Can't open \42ak_gen0.library\42 V37+ !\n");
  }

 CloseLibrary((APTR) IntuitionBase);

 exit(0);
}


